import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PreviewComponent implements OnInit, OnChanges {
    questionData: any;
    previewBack: EventEmitter<any>;
    pageData: any;
    selectedDevice: string;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    generatePageDetails(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PreviewComponent, "app-preview", never, { "questionData": { "alias": "questionData"; "required": false; }; }, { "previewBack": "previewBack"; }, never, never, false, never>;
}
